Description

Supportanfrage

Es ist aus dem ADTF3-Paket heraus, im Unterschied zu ADTF2, nicht möglich, ein eigenes Qt-Filter zu entwickeln.

Im Ticket "Support Request #2310" wurde gesagt, dass man sich die notwendigen Qt-Elemente selbst zusammen suchen muss,

aber es wohl nochmal diskutiert wird, ob z.B. evtl. die Pakete als „Extra-Download“ bereitgestellt werden könnten.

Hat sich zu diesem Qt-Thema in den letzten 2 Jahren nochmal etwas getan/geändert?

Ist es möglich, eine Mindestempfehlung des Umfangs eines Qt-Pakets (welche Bestandteile, welche Version) zu geben?

Sind alle Qt-Module, die unter der LGPL stehen, wie z.B. QWidgets, mit ADTF lizenztechnisch kompatibel?

Lösung

daran hat sich nichts geändert, auch im ADTF 2.x wurden nur laufzeitrelevante Libraries geliefert, für die eigene Entwicklung von Qt

Filtern musste seperat ein Qt 4.7.1 Developer Package herangezogen werden.

Die Aussage bzgl. im Unterschied zu ADTF2 kann ich nicht ganz nachvollziehen.

Es geht auch wie in #2310 geschildert nicht aufgrund von Lizenzbedingungen, außer ADTF wäre Open Source und mit der nötigen

GPLv3 kompatibel, was für die Executables (u.a. QMake), die dann zusammen mit dem ADTF geliefert werden müssten, schon mal

ausscheidet. Deshalb liefert ADTF den komplett möglichen Stand in binary Form. Alles was du davon verwendest, ist rechtlich mit

der ADTF Lizenz vereinbar und unter LGPL und mit AUDI Rechtsabteilung abgestimmt, siehe:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_license_information.html#sec_open_source_license

Was wir gemacht haben (und machen können), wir liefern das Paket mit dem Filter entwickelt werden seperat:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_qt.html

bzw. https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html

bzw. https://artifactory.digitalwerk.net/artifactory/webapp/#/artifacts/browse/tree/General/dw-developer-sdk/dw/Qt

Darin ist aber auch alles enthalten, Hintergrund ist, es können ja auch intern Funktionen genutzt werden wie zb QtCharts (GPLv3),

sofern es nicht vertrieben wird, ist das kein Problem.

Wenn du es vertreibst, dann musst du eine kommerzielle Qt Lizenz kaufen. Alternativ natürlich unter GPLv3 stellen, aber das geht ja

nicht wegen Combined Work Verletzung mit ADTF Lizenz seitens GPLv3.

Kurz nochmal konkret zu deinen Fragen:

Es ist aus dem ADTF3-Paket heraus, im Unterschied zu ADTF2, nicht möglich, ein eigenes Qt-Filter zu entwickeln.

 ADTF 2 und 3 haben und werden nie ein Qt Developer Paket liefern können

Im Ticket "Support Request #2310" wurde gesagt, dass man sich die notwendigen Qt-Elemente selbst zusammen suchen

muss, aber es wohl nochmal diskutiert wird, ob z.B. evtl. die Pakete als „Extra-Download“ bereitgestellt werden könnten.

 Vollständiges Developerpaket wird gehostet, was darin verwendet werden darf, müssen die eigenen Entwickler/Rechtsabteilungen
bewerten.

Oder anders gesagt: Du darfst alles verwenden, sofern du kein Produkt verkaufst, intern spielt die Lizenz keine Rolle.

Wenn du etwas verkaufst, so musst du das rechtlich prüfen.

Hat sich zu diesem Qt-Thema in den letzten 2 Jahren nochmal etwas getan/geändert?

Wir sind gerade in Kontakt mit Qt aufgrund der aktuellen Thematik:

https://www.heise.de/developer/meldung/Qt-Company-schraenkt-Long-Term-Support-Versionen-auf-zahlende-Kunden-ein-4646

791.html

Wir ziehen in Erwägung Qt kommerziell zu kaufen und sind in Klärung, was das für die Kunden bedeutet.

An der aktuellen Ausgangslage (Open Source Lizenz Verwendung und Combined Work) ändert sich aber nichts, du musst nach wie

vor unterscheiden ob ihr Software vertreibt oder intern nutzt.

Es hätte nur den Vorteil, dass wir GPLv3 Kompononten wie QtCharts verwenden können, die bei der kommerziellen Lizenz dann

nicht greift.

Ist es möglich, eine Mindestempfehlung des Umfangs eines Qt-Pakets (welche Bestandteile, welche Version) zu geben?

 Siehe nochmal den Link in der Doku, was die Version betrifft.

Du kannst aus dem seperaten SDK alles verwenden, was wir auch in ADTF liefern, das ist rechtlich sauber und kompatibel.

Sind alle Qt-Module, die unter der LGPL stehen, wie z.B. QWidgets, mit ADTF lizenztechnisch kompatibel?

 Alles was LGPL ist, ist mit ADTF vereinbar.

Related issues:

Related to Public Support - Support Request #2310: Delivered Qt files are not... Closed

History

#1 - 2020-03-12 21:23 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::UI

#2 - 2020-03-12 21:30 - hidden

- Related to Support Request #2310: Delivered Qt files are not complete for development added

#3 - 2020-03-13 13:43 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Nico,

daran hat sich nichts geändert, auch im ADTF 2.x wurden nur laufzeitrelevante Libraries geliefert, für die eigene Entwicklung von Qt Filtern musste

seperat ein Qt 4.7.1 Developer Package herangezogen werden.

Die Aussage bzgl. im Unterschied zu ADTF2 kann ich nicht ganz nachvollziehen.

Es geht auch wie in #2310 geschildert nicht aufgrund von Lizenzbedingungen, außer ADTF wäre Open Source und mit der nötigen GPLv3

kompatibel, was für die Executables (u.a. QMake), die dann zusammen mit dem ADTF geliefert werden müssten, schon mal ausscheidet. Deshalb

liefert ADTF den komplett möglichen Stand in binary Form. Alles was du davon verwendest, ist rechtlich mit der ADTF Lizenz vereinbar und unter

LGPL und mit AUDI Rechtsabteilung abgestimmt, siehe:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_license_information.html#sec_open_source_license

Was wir gemacht haben (und machen können), wir liefern das Paket mit dem Filter entwickelt werden seperat:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_qt.html

bzw. https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html

bzw. https://artifactory.digitalwerk.net/artifactory/webapp/#/artifacts/browse/tree/General/dw-developer-sdk/dw/Qt

Darin ist aber auch alles enthalten, Hintergrund ist, es können ja auch intern Funktionen genutzt werden wie zb QtCharts (GPLv3), sofern es nicht

vertrieben wird, ist das kein Problem.

Wenn du es vertreibst, dann musst du eine kommerzielle Qt Lizenz kaufen. Alternativ natürlich unter GPLv3 stellen, aber das geht ja nicht wegen
Combined Work Verletzung mit ADTF Lizenz seitens GPLv3.

Kurz nochmal konkret zu deinen Fragen:

Es ist aus dem ADTF3-Paket heraus, im Unterschied zu ADTF2, nicht möglich, ein eigenes Qt-Filter zu entwickeln.

 ADTF 2 und 3 haben und werden nie ein Qt Developer Paket liefern können

Im Ticket "Support Request #2310" wurde gesagt, dass man sich die notwendigen Qt-Elemente selbst zusammen suchen muss, aber es wohl

nochmal diskutiert wird, ob z.B. evtl. die Pakete als „Extra-Download“ bereitgestellt werden könnten.

 Vollständiges Developerpaket wird gehostet, was darin verwendet werden darf, müssen die eigenen Entwickler/Rechtsabteilungen bewerten.

Oder anders gesagt: Du darfst alles verwenden, sofern du kein Produkt verkaufst, intern spielt die Lizenz keine Rolle.

Wenn du etwas verkaufst, so musst du das rechtlich prüfen.

Hat sich zu diesem Qt-Thema in den letzten 2 Jahren nochmal etwas getan/geändert?

Wir sind gerade in Kontakt mit Qt aufgrund der aktuellen Thematik:

https://www.heise.de/developer/meldung/Qt-Company-schraenkt-Long-Term-Support-Versionen-auf-zahlende-Kunden-ein-4646791.html

Wir ziehen in Erwägung Qt kommerziell zu kaufen und sind in Klärung, was das für die Kunden bedeutet.

An der aktuellen Ausgangslage (Open Source Lizenz Verwendung und Combined Work) ändert sich aber nichts, du musst nach wie vor

unterscheiden ob ihr Software vertreibt oder intern nutzt.

Es hätte nur den Vorteil, dass wir GPLv3 Kompononten wie QtCharts verwenden können, die bei der kommerziellen Lizenz dann nicht greift.

Ist es möglich, eine Mindestempfehlung des Umfangs eines Qt-Pakets (welche Bestandteile, welche Version) zu geben?

 Siehe nochmal den Link in der Doku, was die Version betrifft.

Du kannst aus dem seperaten SDK alles verwenden, was wir auch in ADTF liefern, das ist rechtlich sauber und kompatibel.

Sind alle Qt-Module, die unter der LGPL stehen, wie z.B. QWidgets, mit ADTF lizenztechnisch kompatibel?

 Alles was LGPL ist, ist mit ADTF vereinbar.

#4 - 2020-03-16 14:00 - hidden

Hallo Florian,

vielen Dank für die schnelle Rückmeldung. Das hilft uns erstmal sehr weiter!

Bzgl. dem Qt-Unterschied von ADTF2 und ADTF3: ADTF2 haben wir damals als Installer erhalten, in dem bereits Qt4 mit dessen Include- und

Lib-Dateien für die Entwicklung enthalten war, d.h. wir mussten an dieser Stelle kein eigenes Qt-Paket integrieren, um Qt-Filter zu entwickeln.

Wie gesagt, du hast uns mit deiner sehr ausführlichen Antwort sehr weiter geholfen. Danke sehr nochmal dafür.

#5 - 2020-03-17 16:12 - hidden

- Project changed from 11 to Public Support

- Subject changed from Entwicklung in ADTF3 mit Qt to How to implement Qt depended filter within ADTF 3.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

Gerne, dann würde ich das Ticket an dieser Stelle schließen.

Sollten weitere Frage oder Hilfe notwendig sein, wie gewohnt einfach Supportanfrage stellen.

#8 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
